/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Empleado;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Shiro
 */
public class RenderEmpleado implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Empleado empleado = (Empleado) o;

        Listcell lc = new Listcell(empleado.getCveEmpleado());
        lc.setParent(lstm);
        
        lc = new Listcell(empleado.getNombEmpleado());
        lc.setParent(lstm);

        lc = new Listcell(empleado.getNombPaterno());
        lc.setParent(lstm);

        lc = new Listcell(empleado.getNombMaterno());
        lc.setParent(lstm);

        lc = new Listcell(empleado.getEmpresa() != null ? empleado.getEmpresa().getNombempresa() : "");
        lc.setParent(lstm);



        lstm.setAttribute("data", empleado);
    }
}
